petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMPlexDistributeFieldIS

Distribute field data to match a given PetscSF, usually the SF from mesh distribution

### Synopsis

    #include "petscdmplex.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMPlexDistributeFieldIS(DM dm, PetscSF pointSF, PetscSection originalSection, IS originalIS, PetscSection newSection, IS *newIS)

Collective on DM

### Input Parameters

| dm | - The DMPlex object
| pointSF | - The PetscSF describing the communication pattern
| originalSection | - The PetscSection for existing data layout
| originalIS | - The existing data

### Output Parameters

| newSection | - The PetscSF describing the new data layout
| newIS | - The new data

### See Also

DMPlexDistribute(), DMPlexDistributeField(), DMPlexDistributeData()

Level:developer
Location:src/dm/impls/plex/plexdistribute.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages